Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.encoding
Class XMLSerializationFactory

    java.lang.Object
      com.connecterra.ale.encoding.XMLSerializationFactory

public abstract class XMLSerializationFactory
extends java.lang.Object

A factory for creating `XMLSerializer` and `XMLDeserializer` interfaces. This class is abstract; to get an instance of the factory, clients should call the static method `getInstance()`.

Constructor Summary
`XMLSerializationFactory()`

Method Summary
`abstract XMLDeserializer` | `createDeserializer()` Creates an `XMLDeserializer` instance.
`abstract XMLSerializer` | `createSerializer()` Creates an `XMLSerializer` instance.
`static XMLSerializationFactory` | `getInstance()` Deprecated. replaced with getInstance(syntax)
`static XMLSerializationFactory` | `getInstance(XMLSerializationSyntax syntax)` getInstance() uses reflection to access factories to avoid compile dependencies

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSerializationFactory

    public XMLSerializationFactory()

Method Detail

### getInstance

    public static XMLSerializationFactory getInstance()

  Deprecated. replaced with getInstance(syntax)

  Returns an `XMLSerializationFactory` instance.

  Returns:
    The `XMLSerializationFactory` instance.

### getInstance

    public static XMLSerializationFactory getInstance(XMLSerializationSyntax syntax)

  getInstance() uses reflection to access factories to avoid compile dependencies

  Parameters:
    `syntax` -
  Returns:

### createSerializer

    public abstract XMLSerializer createSerializer()

  Creates an `XMLSerializer` instance. In some implementations, this method may return the same `XMLSerializer` instance.

  Returns:
    An `XMLSerializer` instance.

### createDeserializer

    public abstract XMLDeserializer createDeserializer()

  Creates an `XMLDeserializer` instance. In some implementations, this method may return the same `XMLDeserializer` instance.

  Returns:
    An `XMLDeserializer` instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD